////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                       |\        /|       ||\\        Created By Nelson Rios for the IRTC
//                       | \      / |       || \\             If you have trouble rendering you must have the 2 
//                       ||\\    //||       ||  ||            include files: SmlStar.flr & nkflare.inc that come with 
//                       || \\  // ||       || //             Moray 3.1
//                       ||  \\//  ||       ||//              Send Comments to fishflake@earthlink.net
//                       ||   \/   || AGIC  | / ICE
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 1 lights, 370 materials and 95 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 06/29/1999    (29.01.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/    




default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.1 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <      7.294,     -26.532,      15.153>
  direction <        0.0,         0.0,      2.4880> // Aperture is 0.40 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      0.000,       0.000,       1.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <6.961, 7.584, 3.039>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  MATERIALS  *******
//

#include "magicdice.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#declare sky_vect = <0.00000, 0.00000, 1.00000>;
#declare cam_loc = <7.294, -26.532, 15.153>;  // using camera 'Camera01'
#declare lookat = <0.000, 0.000, 1.000>;
#declare light_loc = <6.96067, 7.58413, 3.03851>;  // using light source 'Light001'

#declare flare_size = 1.000;
#declare bright_background = 0;
#declare flare_brightness = 1.000;


#include "SmlStar.flr"  
#include "nkflare.inc"


plane { // Plane001
  z,0
  material {
    RoughStone
  }
}




union { // BezPtch001
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <-1.435055, -5.749609, 0.563380>, <-1.624413, -6.062598, 0.000000>, <-0.624413, -6.062598, 0.000000>, <0.375587, -6.062598, 0.000000>, 
      <-2.624413, -4.937402, 0.000000>, <-1.624413, -5.062598, 0.000000>, <-0.624413, -5.062598, 0.000000>, <0.375587, -5.062598, 0.000000>, 
      <-2.624413, -4.062598, 0.000000>, <-1.624413, -4.062598, 0.000000>, <-0.624413, -4.062598, 0.000000>, <0.375587, -4.062598, 0.000000>, 
      <-2.624413, -3.062598, 0.000000>, <-1.624413, -3.062598, 0.000000>, <-0.624413, -3.062598, 0.000000>, <0.375587, -3.062598, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <-2.624413, -3.062598, 0.000000>, <-1.624413, -3.062598, 0.000000>, <-0.624413, -3.062598, 0.000000>, <0.375587, -3.062598, 0.000000>, 
      <-2.624413, -2.062598, 0.000000>, <-1.624413, -2.062598, 0.000000>, <-0.624413, -2.062598, 0.000000>, <0.375587, -2.062598, 0.000000>, 
      <-2.749609, -1.062598, 0.500782>, <-1.687011, -1.062598, 0.500782>, <-0.687011, -1.062598, 0.500782>, <0.312989, -1.062598, 0.500782>, 
      <-2.687011, -0.062598, 0.250391>, <-1.655712, -0.062598, 0.250391>, <-0.655712, -0.062598, 0.250391>, <0.344288, -0.062598, 0.250391>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <-2.687011, -0.062598, 0.250391>, <-1.655712, -0.062598, 0.250391>, <-0.655712, -0.062598, 0.250391>, <0.344288, -0.062598, 0.250391>, 
      <-2.624413, 0.937402, 0.000000>, <-1.624413, 0.937402, 0.000000>, <-0.624413, 0.937402, 0.000000>, <0.375587, 0.937402, 0.000000>, 
      <-2.624413, 1.937402, 0.000000>, <-1.624413, 1.937402, 0.000000>, <-0.624413, 1.937402, 0.000000>, <0.375587, 1.937402, 0.000000>, 
      <-2.624413, 2.937402, 0.000000>, <-1.624413, 2.937402, 0.000000>, <-0.624413, 2.937402, 0.000000>, <0.375587, 2.937402, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <-2.624413, 2.937402, 0.000000>, <-1.624413, 2.937402, 0.000000>, <-0.624413, 2.937402, 0.000000>, <0.375587, 2.937402, 0.000000>, 
      <-2.624413, 3.937402, 0.000000>, <-1.624413, 3.937402, 0.000000>, <-0.624413, 3.937402, 0.000000>, <0.375587, 3.937402, 0.000000>, 
      <-2.624413, 5.062598, 0.000000>, <-1.624413, 4.937402, 0.000000>, <-0.624413, 4.937402, 0.000000>, <0.375587, 4.937402, 0.000000>, 
      <-1.998435, 5.749609, 0.688576>, <-1.624413, 5.937402, 0.000000>, <-0.624413, 5.937402, 0.000000>, <0.375587, 5.937402, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <0.375587, -6.062598, 0.000000>, <1.375587, -6.062598, 0.000000>, <2.375587, -6.062598, 0.000000>, <3.375587, -6.062598, 0.000000>, 
      <0.375587, -5.062598, 0.000000>, <1.375587, -5.062598, 0.000000>, <2.375587, -5.062598, 0.000000>, <3.375587, -5.000000, 0.751174>, 
      <0.375587, -4.062598, 0.000000>, <1.375587, -4.062598, 0.000000>, <2.375587, -4.062598, 0.000000>, <3.375587, -4.062598, 0.000000>, 
      <0.375587, -3.062598, 0.000000>, <1.375587, -3.062598, 0.000000>, <2.375587, -3.062598, 0.000000>, <3.375587, -3.062598, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <0.375587, -3.062598, 0.000000>, <1.375587, -3.062598, 0.000000>, <2.375587, -3.062598, 0.000000>, <3.375587, -3.062598, 0.000000>, 
      <0.375587, -2.062598, 0.000000>, <1.375587, -2.062598, 0.000000>, <2.375587, -2.062598, 0.000000>, <3.375587, -2.062598, 0.000000>, 
      <0.312989, -1.062598, 0.500782>, <1.312989, -1.062598, 0.500782>, <2.312989, -1.062598, 0.500782>, <3.312989, -1.062598, 0.500782>, 
      <0.344288, -0.062598, 0.250391>, <1.344288, -0.062598, 0.250391>, <2.344288, -0.062598, 0.250391>, <3.344288, -0.062598, 0.250391>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <0.344288, -0.062598, 0.250391>, <1.344288, -0.062598, 0.250391>, <2.344288, -0.062598, 0.250391>, <3.344288, -0.062598, 0.250391>, 
      <0.375587, 0.937402, 0.000000>, <1.375587, 0.937402, 0.000000>, <2.375587, 0.937402, 0.000000>, <3.375587, 0.937402, 0.000000>, 
      <0.375587, 1.937402, 0.000000>, <1.375587, 1.937402, 0.000000>, <2.375587, 1.937402, 0.000000>, <3.375587, 1.937402, 0.000000>, 
      <0.375587, 2.937402, 0.000000>, <1.375587, 2.937402, 0.000000>, <2.375587, 2.937402, 0.000000>, <3.375587, 2.937402, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0000 u_steps 4 v_steps 5,
      <0.375587, 2.937402, 0.000000>, <1.375587, 2.937402, 0.000000>, <2.375587, 2.937402, 0.000000>, <3.375587, 2.937402, 0.000000>, 
      <0.375587, 3.937402, 0.000000>, <1.375587, 3.937402, 0.000000>, <2.375587, 3.937402, 0.000000>, <3.375587, 3.937402, 0.000000>, 
      <0.375587, 4.937402, 0.000000>, <1.375587, 4.937402, 0.000000>, <2.375587, 4.937402, 0.000000>, <3.375587, 4.937402, 0.000000>, 
      <0.375587, 5.937402, 0.000000>, <1.375587, 5.937402, 0.000000>, <2.375587, 5.937402, 0.000000>, <3.375587, 5.937402, 0.000000>
    }
  }
  material {
    Magic_Die_Paper2
  }
  scale <1.695253, 1.049661, 1.0>
  translate  <0.010642, 0.0, 0.010642>
}


difference { // Die1
  superellipsoid { // SuperQ001
    <0.233, 0.233>
    material {
      Texture_Systo
    }
  }
  sphere { // Sphere001
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.589045>
  }
  sphere { // Sphere002
    <0,0,0>,1
    material {
      Material1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.493002, -0.973703, 0.589045>
  }
  sphere { // Sphere003
    <0,0,0>,1
    material {
      Material1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, -0.560422>
  }
  sphere { // Sphere004
    <0,0,0>,1
    material {
      Material1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.011728>
  }
  sphere { // Sphere005
    <0,0,0>,1
    material {
      Material1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, 0.010338>
  }
  sphere { // Sphere006
    <0,0,0>,1
    material {
      Material1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, -0.559377>
  }
  sphere { // Sphere007
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.006371, 0.980492, -0.016605>
  }
  sphere { // Sphere008
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-0.532675, 0.514213, 0.952435>
  }
  sphere { // Sphere009
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.006371, -0.000094, 0.976661>
  }
  sphere { // Sphere010
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.501232, -0.496727, 0.976661>
  }
  sphere { // Sphere011
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-0.532949, 0.511916, -0.900855>
  }
  sphere { // Sphere015
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.961655, 0.511702, -0.576587>
  }
  sphere { // Sphere012
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.501232, -0.500037, -0.900855>
  }
  sphere { // Sphere016
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.96459, -0.495516, 0.626646>
  }
  sphere { // Sphere019
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-1.002366, 0.518145, -0.565248>
  }
  sphere { // Sphere020
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-1.010018, -0.494386, 0.580267>
  }
  sphere { // Sphere021
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-1.005427, 0.5297, 0.580031>
  }
  sphere { // Sphere018
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-1.009886, -0.499386, -0.565366>
  }
  sphere { // Sphere017
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-1.038569, 0.025559, 0.013061>
  }
  sphere { // Sphere014
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <-0.524386, -0.513356, -0.900855>
  }
  sphere { // Sphere013
    <0,0,0>,1
    material {
      Material1
    }
    scale 0.221904
    translate  <0.483559, 0.511641, -0.900855>
  }
  scale 0.490359
  rotate <-90.0, -90.0, 0.0>
  translate  <-4.807093, 9.616598, 0.482879>
}


#declare Die2 = difference {
  superellipsoid { // SuperQ002
    <0.233, 0.233>
    material {
      Texture_Systo_1
    }
  }
  sphere { // Sphere022
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.589045>
  }
  sphere { // Sphere023
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.493002, -0.973703, 0.589045>
  }
  sphere { // Sphere024
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, -0.560422>
  }
  sphere { // Sphere025
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.011728>
  }
  sphere { // Sphere026
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, 0.010338>
  }
  sphere { // Sphere027
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, -0.559377>
  }
  sphere { // Sphere028
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.006371, 0.980492, -0.016605>
  }
  sphere { // Sphere029
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.532675, 0.514213, 0.952435>
  }
  sphere { // Sphere030
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.006371, -0.000094, 0.976661>
  }
  sphere { // Sphere031
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.501232, -0.496727, 0.976661>
  }
  sphere { // Sphere032
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.532949, 0.511916, -0.900855>
  }
  sphere { // Sphere033
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.961655, 0.511702, -0.576587>
  }
  sphere { // Sphere034
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.501232, -0.500037, -0.900855>
  }
  sphere { // Sphere035
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.96459, -0.495516, 0.626646>
  }
  sphere { // Sphere036
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.002366, 0.518145, -0.565248>
  }
  sphere { // Sphere037
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.010018, -0.494386, 0.580267>
  }
  sphere { // Sphere038
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.005427, 0.5297, 0.580031>
  }
  sphere { // Sphere039
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.009886, -0.499386, -0.565366>
  }
  sphere { // Sphere040
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.038569, 0.025559, 0.013061>
  }
  sphere { // Sphere041
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.524386, -0.513356, -0.900855>
  }
  sphere { // Sphere042
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.483559, 0.511641, -0.900855>
  }
  rotate <90.0, -90.0, 0.0>
}
#declare Die3 = difference {
  superellipsoid { // SuperQ003
    <0.233, 0.233>
    material {
      Texture_Systo_1
    }
  }
  sphere { // Sphere043
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.589045>
  }
  sphere { // Sphere044
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.493002, -0.973703, 0.589045>
  }
  sphere { // Sphere045
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, -0.560422>
  }
  sphere { // Sphere046
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.011728>
  }
  sphere { // Sphere047
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, 0.010338>
  }
  sphere { // Sphere048
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, -0.559377>
  }
  sphere { // Sphere049
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.006371, 0.980492, -0.016605>
  }
  sphere { // Sphere050
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.532675, 0.514213, 0.952435>
  }
  sphere { // Sphere051
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.006371, -0.000094, 0.976661>
  }
  sphere { // Sphere052
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.501232, -0.496727, 0.976661>
  }
  sphere { // Sphere053
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.532949, 0.511916, -0.900855>
  }
  sphere { // Sphere054
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.961655, 0.511702, -0.576587>
  }
  sphere { // Sphere055
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.501232, -0.500037, -0.900855>
  }
  sphere { // Sphere056
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.96459, -0.495516, 0.626646>
  }
  sphere { // Sphere057
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.002366, 0.518145, -0.565248>
  }
  sphere { // Sphere058
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.010018, -0.494386, 0.580267>
  }
  sphere { // Sphere059
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.005427, 0.5297, 0.580031>
  }
  sphere { // Sphere060
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.009886, -0.499386, -0.565366>
  }
  sphere { // Sphere061
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.038569, 0.025559, 0.013061>
  }
  sphere { // Sphere062
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.524386, -0.513356, -0.900855>
  }
  sphere { // Sphere063
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.483559, 0.511641, -0.900855>
  }
  rotate <-90.0, -90.0, 0.0>
  translate  <0.0, 0.971638, 1.976213>
}
#declare Die4 = difference {
  superellipsoid { // SuperQ004
    <0.233, 0.233>
    material {
      Texture_Systo_1
    }
  }
  sphere { // Sphere064
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.589045>
  }
  sphere { // Sphere065
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.493002, -0.973703, 0.589045>
  }
  sphere { // Sphere066
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, -0.560422>
  }
  sphere { // Sphere067
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <-0.506164, -0.973703, 0.011728>
  }
  sphere { // Sphere068
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, 0.010338>
  }
  sphere { // Sphere069
    <0,0,0>,1
    material {
      Material1_1
    }
    // Scaling fixed
    // Rotation fixed
    scale 0.221904
    translate  <0.491955, -0.973703, -0.559377>
  }
  sphere { // Sphere070
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.006371, 0.980492, -0.016605>
  }
  sphere { // Sphere071
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.532675, 0.514213, 0.952435>
  }
  sphere { // Sphere072
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.006371, -0.000094, 0.976661>
  }
  sphere { // Sphere073
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.501232, -0.496727, 0.976661>
  }
  sphere { // Sphere074
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.532949, 0.511916, -0.900855>
  }
  sphere { // Sphere075
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.961655, 0.511702, -0.576587>
  }
  sphere { // Sphere076
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.501232, -0.500037, -0.900855>
  }
  sphere { // Sphere077
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.96459, -0.495516, 0.626646>
  }
  sphere { // Sphere078
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.002366, 0.518145, -0.565248>
  }
  sphere { // Sphere079
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.010018, -0.494386, 0.580267>
  }
  sphere { // Sphere080
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.005427, 0.5297, 0.580031>
  }
  sphere { // Sphere081
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.009886, -0.499386, -0.565366>
  }
  sphere { // Sphere082
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-1.038569, 0.025559, 0.013061>
  }
  sphere { // Sphere083
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <-0.524386, -0.513356, -0.900855>
  }
  sphere { // Sphere084
    <0,0,0>,1
    material {
      Material1_1
    }
    scale 0.221904
    translate  <0.483559, 0.511641, -0.900855>
  }
  translate  <0.0, -0.996341, 1.976213>
}
union { // Group001
  object { Die2 }
  object { Die3 }
  object { Die4 }
  rotate -52.5009*z
  translate  <-7.322597, 7.634196, 0.953755>
}


#declare sPatchObj = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.250000, -2.500000>, <0.000000, -1.289392, -2.598480>, <0.000000, -1.425000, -2.675000>, <0.000000, -1.500000, -2.750000>, 
      <0.287013, -1.250000, -2.500000>, <0.287013, -1.289392, -2.598480>, <0.344415, -1.425000, -2.675000>, <0.344415, -1.500000, -2.750000>, 
      <0.680935, -1.086832, -2.500000>, <0.708789, -1.114686, -2.598480>, <0.764089, -1.251165, -2.675000>, <0.817122, -1.304198, -2.750000>, 
      <0.883884, -0.883883, -2.500000>, <0.911738, -0.911737, -2.598480>, <1.007627, -1.007627, -2.675000>, <1.060661, -1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, -0.883884, -2.500000>, <-0.911738, -0.911738, -2.598480>, <-1.007627, -1.007627, -2.675000>, <-1.060660, -1.060660, -2.750000>, 
      <-0.680935, -1.086832, -2.500000>, <-0.708789, -1.114686, -2.598480>, <-0.764089, -1.251165, -2.675000>, <-0.817122, -1.304199, -2.750000>, 
      <-0.287013, -1.250000, -2.500000>, <-0.287013, -1.289392, -2.598480>, <-0.344415, -1.425000, -2.675000>, <-0.344415, -1.500000, -2.750000>, 
      <0.000000, -1.250000, -2.500000>, <0.000000, -1.289392, -2.598480>, <0.000000, -1.425000, -2.675000>, <0.000000, -1.500000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.250000, -0.000000, -2.500000>, <-1.289392, -0.000000, -2.598480>, <-1.425000, -0.000000, -2.675000>, <-1.500000, -0.000000, -2.750000>, 
      <-1.250000, -0.287013, -2.500000>, <-1.289392, -0.287013, -2.598480>, <-1.425000, -0.344415, -2.675000>, <-1.500000, -0.344415, -2.750000>, 
      <-1.086832, -0.680935, -2.500000>, <-1.114686, -0.708789, -2.598480>, <-1.251165, -0.764089, -2.675000>, <-1.304198, -0.817122, -2.750000>, 
      <-0.883883, -0.883884, -2.500000>, <-0.911738, -0.911738, -2.598480>, <-1.007627, -1.007627, -2.675000>, <-1.060660, -1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883884, 0.883884, -2.500000>, <-0.911738, 0.911738, -2.598480>, <-1.007627, 1.007627, -2.675000>, <-1.060660, 1.060660, -2.750000>, 
      <-1.086832, 0.680935, -2.500000>, <-1.114686, 0.708789, -2.598480>, <-1.251165, 0.764089, -2.675000>, <-1.304198, 0.817122, -2.750000>, 
      <-1.250000, 0.287013, -2.500000>, <-1.289392, 0.287013, -2.598480>, <-1.425000, 0.344415, -2.675000>, <-1.500000, 0.344415, -2.750000>, 
      <-1.250000, -0.000000, -2.500000>, <-1.289392, -0.000000, -2.598480>, <-1.425000, -0.000000, -2.675000>, <-1.500000, -0.000000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.000000, 1.250000, -2.500000>, <-0.000000, 1.289392, -2.598480>, <-0.000000, 1.425000, -2.675000>, <-0.000000, 1.500000, -2.750000>, 
      <-0.287013, 1.250000, -2.500000>, <-0.287013, 1.289392, -2.598480>, <-0.344415, 1.425000, -2.675000>, <-0.344415, 1.500000, -2.750000>, 
      <-0.680935, 1.086832, -2.500000>, <-0.708789, 1.114686, -2.598480>, <-0.764089, 1.251165, -2.675000>, <-0.817122, 1.304198, -2.750000>, 
      <-0.883884, 0.883884, -2.500000>, <-0.911738, 0.911738, -2.598480>, <-1.007627, 1.007627, -2.675000>, <-1.060660, 1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.883884, 0.883884, -2.500000>, <0.911738, 0.911738, -2.598480>, <1.007627, 1.007627, -2.675000>, <1.060660, 1.060660, -2.750000>, 
      <0.680935, 1.086832, -2.500000>, <0.708789, 1.114686, -2.598480>, <0.764089, 1.251165, -2.675000>, <0.817122, 1.304199, -2.750000>, 
      <0.287013, 1.250000, -2.500000>, <0.287013, 1.289392, -2.598480>, <0.344415, 1.425000, -2.675000>, <0.344415, 1.500000, -2.750000>, 
      <-0.000000, 1.250000, -2.500000>, <-0.000000, 1.289392, -2.598480>, <-0.000000, 1.425000, -2.675000>, <-0.000000, 1.500000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.000000, -1.500000>, <0.000000, -1.075000, -1.800000>, <0.000000, -1.135154, -2.212884>, <0.000000, -1.250000, -2.500000>, 
      <0.229610, -1.000000, -1.500000>, <0.229610, -1.075000, -1.800000>, <0.287013, -1.135154, -2.212884>, <0.287013, -1.250000, -2.500000>, 
      <0.544748, -0.869465, -1.500000>, <0.597781, -0.922498, -1.800000>, <0.599727, -1.005623, -2.212884>, <0.680935, -1.086832, -2.500000>, 
      <0.707107, -0.707107, -1.500000>, <0.760140, -0.760139, -1.800000>, <0.802675, -0.802675, -2.212884>, <0.883884, -0.883883, -2.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.707107, -0.707107, -1.500000>, <-0.760140, -0.760140, -1.800000>, <-0.802675, -0.802675, -2.212884>, <-0.883883, -0.883884, -2.500000>, 
      <-0.544748, -0.869466, -1.500000>, <-0.597781, -0.922499, -1.800000>, <-0.599726, -1.005624, -2.212884>, <-0.680935, -1.086832, -2.500000>, 
      <-0.229610, -1.000000, -1.500000>, <-0.229610, -1.075000, -1.800000>, <-0.287013, -1.135154, -2.212884>, <-0.287013, -1.250000, -2.500000>, 
      <0.000000, -1.000000, -1.500000>, <0.000000, -1.075000, -1.800000>, <0.000000, -1.135154, -2.212884>, <0.000000, -1.250000, -2.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.000000, -0.000000, -1.500000>, <-1.075000, -0.000000, -1.800000>, <-1.135154, -0.000000, -2.212884>, <-1.250000, -0.000000, -2.500000>, 
      <-1.000000, -0.229610, -1.500000>, <-1.075000, -0.229610, -1.800000>, <-1.135154, -0.287013, -2.212884>, <-1.250000, -0.287013, -2.500000>, 
      <-0.869466, -0.544748, -1.500000>, <-0.922499, -0.597781, -1.800000>, <-1.005623, -0.599727, -2.212884>, <-1.086832, -0.680935, -2.500000>, 
      <-0.707107, -0.707107, -1.500000>, <-0.760140, -0.760140, -1.800000>, <-0.802675, -0.802675, -2.212884>, <-0.883883, -0.883884, -2.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.707107, 0.707107, -1.500000>, <-0.760140, 0.760140, -1.800000>, <-0.802675, 0.802675, -2.212884>, <-0.883884, 0.883884, -2.500000>, 
      <-0.869466, 0.544748, -1.500000>, <-0.922499, 0.597781, -1.800000>, <-1.005624, 0.599726, -2.212884>, <-1.086832, 0.680935, -2.500000>, 
      <-1.000000, 0.229610, -1.500000>, <-1.075000, 0.229610, -1.800000>, <-1.135154, 0.287013, -2.212884>, <-1.250000, 0.287013, -2.500000>, 
      <-1.000000, -0.000000, -1.500000>, <-1.075000, -0.000000, -1.800000>, <-1.135154, -0.000000, -2.212884>, <-1.250000, -0.000000, -2.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 1.000000, -1.500000>, <0.000000, 1.075000, -1.800000>, <0.000000, 1.135154, -2.212884>, <-0.000000, 1.250000, -2.500000>, 
      <-0.229610, 1.000000, -1.500000>, <-0.229610, 1.075000, -1.800000>, <-0.287013, 1.135154, -2.212884>, <-0.287013, 1.250000, -2.500000>, 
      <-0.544748, 0.869466, -1.500000>, <-0.597781, 0.922499, -1.800000>, <-0.599727, 1.005624, -2.212884>, <-0.680935, 1.086832, -2.500000>, 
      <-0.707107, 0.707107, -1.500000>, <-0.760140, 0.760140, -1.800000>, <-0.802675, 0.802675, -2.212884>, <-0.883884, 0.883884, -2.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.707107, 0.707107, -1.500000>, <0.760140, 0.760140, -1.800000>, <0.802675, 0.802675, -2.212884>, <0.883884, 0.883884, -2.500000>, 
      <0.544748, 0.869466, -1.500000>, <0.597781, 0.922499, -1.800000>, <0.599726, 1.005624, -2.212884>, <0.680935, 1.086832, -2.500000>, 
      <0.229610, 1.000000, -1.500000>, <0.229610, 1.075000, -1.800000>, <0.287013, 1.135154, -2.212884>, <0.287013, 1.250000, -2.500000>, 
      <0.000000, 1.000000, -1.500000>, <0.000000, 1.075000, -1.800000>, <0.000000, 1.135154, -2.212884>, <-0.000000, 1.250000, -2.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <0.000000, -0.700000, -1.500000>, <0.000000, -1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <0.229610, -0.700000, -1.500000>, <0.229610, -1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.212132, -0.212132, -1.500000>, <0.332616, -0.657334, -1.500000>, <0.544748, -0.869465, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.212132, -0.212132, -1.500000>, <0.494975, -0.494975, -1.500000>, <0.707107, -0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.494975, -0.494975, -1.500000>, <-0.707107, -0.707107, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.332616, -0.657334, -1.500000>, <-0.544748, -0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <-0.229610, -0.700000, -1.500000>, <-0.229610, -1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <0.000000, -0.700000, -1.500000>, <0.000000, -1.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.700000, -0.000000, -1.500000>, <-1.000000, -0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.700000, -0.229610, -1.500000>, <-1.000000, -0.229610, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.657334, -0.332616, -1.500000>, <-0.869466, -0.544748, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.494975, -0.494975, -1.500000>, <-0.707107, -0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.494975, 0.494975, -1.500000>, <-0.707107, 0.707107, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.657334, 0.332616, -1.500000>, <-0.869466, 0.544748, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.700000, 0.229610, -1.500000>, <-1.000000, 0.229610, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.700000, -0.000000, -1.500000>, <-1.000000, -0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <0.000000, 0.700000, -1.500000>, <0.000000, 1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <-0.229610, 0.700000, -1.500000>, <-0.229610, 1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.332616, 0.657334, -1.500000>, <-0.544748, 0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.494975, 0.494975, -1.500000>, <-0.707107, 0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <0.212132, 0.212132, -1.500000>, <0.494975, 0.494975, -1.500000>, <0.707107, 0.707107, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.212132, 0.212132, -1.500000>, <0.332616, 0.657334, -1.500000>, <0.544748, 0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <0.229610, 0.700000, -1.500000>, <0.229610, 1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <0.000000, 0.700000, -1.500000>, <0.000000, 1.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <0.000000, -0.450000, -2.750000>, <0.000000, -0.450000, -2.750000>, <0.318198, -0.318198, -2.750000>, <0.318198, -0.318198, -2.750000>, 
      <0.000000, -1.050000, -2.750000>, <0.344415, -1.050000, -2.750000>, <0.498924, -0.986000, -2.750000>, <0.742462, -0.742462, -2.750000>, 
      <0.000000, -1.500000, -2.750000>, <0.344415, -1.500000, -2.750000>, <0.817122, -1.304198, -2.750000>, <1.060661, -1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <-0.318198, -0.318198, -2.750000>, <-0.318198, -0.318198, -2.750000>, <0.000000, -0.450000, -2.750000>, <0.000000, -0.450000, -2.750000>, 
      <-0.742462, -0.742462, -2.750000>, <-0.498924, -0.986000, -2.750000>, <-0.344415, -1.050000, -2.750000>, <0.000000, -1.050000, -2.750000>, 
      <-1.060660, -1.060660, -2.750000>, <-0.817122, -1.304199, -2.750000>, <-0.344415, -1.500000, -2.750000>, <0.000000, -1.500000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <-0.450000, 0.000000, -2.750000>, <-0.450000, 0.000000, -2.750000>, <-0.318198, -0.318198, -2.750000>, <-0.318198, -0.318198, -2.750000>, 
      <-1.050000, -0.000000, -2.750000>, <-1.050000, -0.344415, -2.750000>, <-0.986000, -0.498924, -2.750000>, <-0.742462, -0.742462, -2.750000>, 
      <-1.500000, -0.000000, -2.750000>, <-1.500000, -0.344415, -2.750000>, <-1.304198, -0.817122, -2.750000>, <-1.060660, -1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <-0.318198, 0.318198, -2.750000>, <-0.318198, 0.318198, -2.750000>, <-0.450000, 0.000000, -2.750000>, <-0.450000, 0.000000, -2.750000>, 
      <-0.742462, 0.742462, -2.750000>, <-0.986000, 0.498924, -2.750000>, <-1.050000, 0.344415, -2.750000>, <-1.050000, -0.000000, -2.750000>, 
      <-1.060660, 1.060660, -2.750000>, <-1.304198, 0.817122, -2.750000>, <-1.500000, 0.344415, -2.750000>, <-1.500000, -0.000000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <0.000000, 0.450000, -2.750000>, <0.000000, 0.450000, -2.750000>, <-0.318198, 0.318198, -2.750000>, <-0.318198, 0.318198, -2.750000>, 
      <0.000000, 1.050000, -2.750000>, <-0.344415, 1.050000, -2.750000>, <-0.498924, 0.986000, -2.750000>, <-0.742462, 0.742462, -2.750000>, 
      <-0.000000, 1.500000, -2.750000>, <-0.344415, 1.500000, -2.750000>, <-0.817122, 1.304198, -2.750000>, <-1.060660, 1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <0.318198, 0.318198, -2.750000>, <0.318198, 0.318198, -2.750000>, <0.000000, 0.450000, -2.750000>, <0.000000, 0.450000, -2.750000>, 
      <0.742462, 0.742462, -2.750000>, <0.498924, 0.986000, -2.750000>, <0.344415, 1.050000, -2.750000>, <0.000000, 1.050000, -2.750000>, 
      <1.060660, 1.060660, -2.750000>, <0.817122, 1.304199, -2.750000>, <0.344415, 1.500000, -2.750000>, <-0.000000, 1.500000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -2.375000>, <0.000000, 0.000000, -2.375000>, 
      <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.875000>, <0.000000, 0.000000, -1.875000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.500000, 0.000000, -2.750000>, <1.050000, 0.000000, -2.750000>, <0.450000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <1.500000, 0.344415, -2.750000>, <1.050000, 0.344415, -2.750000>, <0.450000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <1.304198, 0.817122, -2.750000>, <0.986000, 0.498924, -2.750000>, <0.318198, 0.318198, -2.750000>, <0.000000, 0.000000, -2.750000>, 
      <1.060660, 1.060660, -2.750000>, <0.742462, 0.742462, -2.750000>, <0.318198, 0.318198, -2.750000>, <0.000000, 0.000000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.500000, 0.000000, -2.750000>, <1.500000, -0.344415, -2.750000>, <1.304199, -0.817122, -2.750000>, <1.060661, -1.060660, -2.750000>, 
      <1.050000, 0.000000, -2.750000>, <1.050000, -0.344415, -2.750000>, <0.986000, -0.498924, -2.750000>, <0.742462, -0.742462, -2.750000>, 
      <0.450000, 0.000000, -2.750000>, <0.450000, 0.000000, -2.750000>, <0.318198, -0.318198, -2.750000>, <0.318198, -0.318198, -2.750000>, 
      <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>, <0.000000, 0.000000, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.500000>, <1.000000, 0.229610, -1.500000>, <0.869466, 0.544748, -1.500000>, <0.707107, 0.707107, -1.500000>, 
      <0.700000, 0.000000, -1.500000>, <0.700000, 0.229610, -1.500000>, <0.657334, 0.332616, -1.500000>, <0.494975, 0.494975, -1.500000>, 
      <0.300000, 0.000000, -1.500000>, <0.300000, 0.000000, -1.500000>, <0.212132, 0.212132, -1.500000>, <0.212132, 0.212132, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.500000>, <0.700000, 0.000000, -1.500000>, <0.300000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, 
      <1.000000, -0.229610, -1.500000>, <0.700000, -0.229610, -1.500000>, <0.300000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, 
      <0.869466, -0.544748, -1.500000>, <0.657334, -0.332616, -1.500000>, <0.212132, -0.212132, -1.500000>, <0.000000, 0.000000, -1.500000>, 
      <0.707107, -0.707107, -1.500000>, <0.494975, -0.494975, -1.500000>, <0.212132, -0.212132, -1.500000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, -2.500000>, <1.289392, 0.000000, -2.598480>, <1.425000, 0.000000, -2.675000>, <1.500000, 0.000000, -2.750000>, 
      <1.250000, 0.287013, -2.500000>, <1.289392, 0.287013, -2.598480>, <1.425000, 0.344415, -2.675000>, <1.500000, 0.344415, -2.750000>, 
      <1.086832, 0.680935, -2.500000>, <1.114686, 0.708789, -2.598480>, <1.251165, 0.764089, -2.675000>, <1.304198, 0.817122, -2.750000>, 
      <0.883884, 0.883884, -2.500000>, <0.911738, 0.911738, -2.598480>, <1.007627, 1.007627, -2.675000>, <1.060660, 1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, -2.500000>, <1.250000, -0.287013, -2.500000>, <1.086832, -0.680935, -2.500000>, <0.883884, -0.883883, -2.500000>, 
      <1.289392, 0.000000, -2.598480>, <1.289392, -0.287013, -2.598480>, <1.114687, -0.708789, -2.598480>, <0.911738, -0.911737, -2.598480>, 
      <1.425000, 0.000000, -2.675000>, <1.425000, -0.344415, -2.675000>, <1.251166, -0.764089, -2.675000>, <1.007627, -1.007627, -2.675000>, 
      <1.500000, 0.000000, -2.750000>, <1.500000, -0.344415, -2.750000>, <1.304199, -0.817122, -2.750000>, <1.060661, -1.060660, -2.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, -2.500000>, <1.250000, 0.287013, -2.500000>, <1.086832, 0.680935, -2.500000>, <0.883884, 0.883884, -2.500000>, 
      <1.135154, 0.000000, -2.212884>, <1.135154, 0.287013, -2.212884>, <1.005624, 0.599726, -2.212884>, <0.802675, 0.802675, -2.212884>, 
      <1.075000, 0.000000, -1.800000>, <1.075000, 0.229610, -1.800000>, <0.922499, 0.597781, -1.800000>, <0.760140, 0.760140, -1.800000>, 
      <1.000000, 0.000000, -1.500000>, <1.000000, 0.229610, -1.500000>, <0.869466, 0.544748, -1.500000>, <0.707107, 0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, -2.500000>, <1.135154, 0.000000, -2.212884>, <1.075000, 0.000000, -1.800000>, <1.000000, 0.000000, -1.500000>, 
      <1.250000, -0.287013, -2.500000>, <1.135154, -0.287013, -2.212884>, <1.075000, -0.229610, -1.800000>, <1.000000, -0.229610, -1.500000>, 
      <1.086832, -0.680935, -2.500000>, <1.005624, -0.599726, -2.212884>, <0.922499, -0.597781, -1.800000>, <0.869466, -0.544748, -1.500000>, 
      <0.883884, -0.883883, -2.500000>, <0.802675, -0.802675, -2.212884>, <0.760140, -0.760139, -1.800000>, <0.707107, -0.707107, -1.500000>
    }
  }
  material {
    Rosewood
  }
}
#declare sPatchObj1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.250000, -1.250000>, <0.000000, -1.250000, -1.143934>, <0.000000, -1.104006, -1.020801>, <0.000000, -1.000000, -1.000000>, 
      <0.287013, -1.250000, -1.250000>, <0.287013, -1.250000, -1.143934>, <0.229610, -1.104006, -1.020801>, <0.229610, -1.000000, -1.000000>, 
      <0.680935, -1.086832, -1.250000>, <0.680935, -1.086832, -1.143934>, <0.618292, -0.943009, -1.020801>, <0.544748, -0.869466, -1.000000>, 
      <0.883884, -0.883883, -1.250000>, <0.883884, -0.883883, -1.143934>, <0.780651, -0.780651, -1.020801>, <0.707107, -0.707107, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, -0.883884, -1.250000>, <-0.883883, -0.883884, -1.143934>, <-0.780651, -0.780651, -1.020801>, <-0.707107, -0.707107, -1.000000>, 
      <-0.680935, -1.086832, -1.250000>, <-0.680935, -1.086832, -1.143934>, <-0.618292, -0.943009, -1.020801>, <-0.544748, -0.869466, -1.000000>, 
      <-0.287012, -1.250000, -1.250000>, <-0.287012, -1.250000, -1.143934>, <-0.229610, -1.104006, -1.020801>, <-0.229610, -1.000000, -1.000000>, 
      <0.000000, -1.250000, -1.250000>, <0.000000, -1.250000, -1.143934>, <0.000000, -1.104006, -1.020801>, <0.000000, -1.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.250000, 0.000000, -1.250000>, <-1.250000, 0.000000, -1.143934>, <-1.104006, 0.000000, -1.020801>, <-1.000000, 0.000000, -1.000000>, 
      <-1.250000, -0.287013, -1.250000>, <-1.250000, -0.287013, -1.143934>, <-1.104006, -0.229610, -1.020801>, <-1.000000, -0.229610, -1.000000>, 
      <-1.086832, -0.680935, -1.250000>, <-1.086832, -0.680935, -1.143934>, <-0.943009, -0.618292, -1.020801>, <-0.869466, -0.544748, -1.000000>, 
      <-0.883883, -0.883884, -1.250000>, <-0.883883, -0.883884, -1.143934>, <-0.780651, -0.780651, -1.020801>, <-0.707107, -0.707107, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, 0.883883, -1.250000>, <-0.883883, 0.883883, -1.143934>, <-0.780651, 0.780651, -1.020801>, <-0.707107, 0.707107, -1.000000>, 
      <-1.086832, 0.680935, -1.250000>, <-1.086832, 0.680935, -1.143934>, <-0.943009, 0.618292, -1.020801>, <-0.869466, 0.544748, -1.000000>, 
      <-1.250000, 0.287013, -1.250000>, <-1.250000, 0.287013, -1.143934>, <-1.104006, 0.229610, -1.020801>, <-1.000000, 0.229610, -1.000000>, 
      <-1.250000, 0.000000, -1.250000>, <-1.250000, 0.000000, -1.143934>, <-1.104006, 0.000000, -1.020801>, <-1.000000, 0.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 1.250000, -1.250000>, <0.000000, 1.250000, -1.143934>, <0.000000, 1.104006, -1.020801>, <0.000000, 1.000000, -1.000000>, 
      <-0.287013, 1.250000, -1.250000>, <-0.287013, 1.250000, -1.143934>, <-0.229610, 1.104006, -1.020801>, <-0.229610, 1.000000, -1.000000>, 
      <-0.680935, 1.086832, -1.250000>, <-0.680935, 1.086832, -1.143934>, <-0.618292, 0.943009, -1.020801>, <-0.544748, 0.869466, -1.000000>, 
      <-0.883883, 0.883883, -1.250000>, <-0.883883, 0.883883, -1.143934>, <-0.780651, 0.780651, -1.020801>, <-0.707107, 0.707107, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.883883, 0.883883, -1.250000>, <0.883883, 0.883883, -1.143934>, <0.780651, 0.780651, -1.020801>, <0.707107, 0.707107, -1.000000>, 
      <0.680935, 1.086832, -1.250000>, <0.680935, 1.086832, -1.143934>, <0.618292, 0.943009, -1.020801>, <0.544748, 0.869466, -1.000000>, 
      <0.287013, 1.250000, -1.250000>, <0.287013, 1.250000, -1.143934>, <0.229610, 1.104006, -1.020801>, <0.229610, 1.000000, -1.000000>, 
      <0.000000, 1.250000, -1.250000>, <0.000000, 1.250000, -1.143934>, <0.000000, 1.104006, -1.020801>, <0.000000, 1.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.000000, -1.500000>, <0.000000, -1.104006, -1.479199>, <0.000000, -1.250000, -1.356066>, <0.000000, -1.250000, -1.250000>, 
      <0.229610, -1.000000, -1.500000>, <0.229610, -1.104006, -1.479199>, <0.287013, -1.250000, -1.356066>, <0.287013, -1.250000, -1.250000>, 
      <0.544748, -0.869466, -1.500000>, <0.618292, -0.943009, -1.479199>, <0.680935, -1.086832, -1.356066>, <0.680935, -1.086832, -1.250000>, 
      <0.707107, -0.707107, -1.500000>, <0.780651, -0.780651, -1.479199>, <0.883884, -0.883883, -1.356066>, <0.883884, -0.883883, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.707107, -0.707107, -1.500000>, <-0.780651, -0.780651, -1.479199>, <-0.883883, -0.883884, -1.356066>, <-0.883883, -0.883884, -1.250000>, 
      <-0.544748, -0.869466, -1.500000>, <-0.618292, -0.943009, -1.479199>, <-0.680935, -1.086832, -1.356066>, <-0.680935, -1.086832, -1.250000>, 
      <-0.229610, -1.000000, -1.500000>, <-0.229610, -1.104006, -1.479199>, <-0.287012, -1.250000, -1.356066>, <-0.287012, -1.250000, -1.250000>, 
      <0.000000, -1.000000, -1.500000>, <0.000000, -1.104006, -1.479199>, <0.000000, -1.250000, -1.356066>, <0.000000, -1.250000, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.000000, 0.000000, -1.500000>, <-1.104006, 0.000000, -1.479199>, <-1.250000, 0.000000, -1.356066>, <-1.250000, 0.000000, -1.250000>, 
      <-1.000000, -0.229610, -1.500000>, <-1.104006, -0.229610, -1.479199>, <-1.250000, -0.287013, -1.356066>, <-1.250000, -0.287013, -1.250000>, 
      <-0.869466, -0.544748, -1.500000>, <-0.943009, -0.618292, -1.479199>, <-1.086832, -0.680935, -1.356066>, <-1.086832, -0.680935, -1.250000>, 
      <-0.707107, -0.707107, -1.500000>, <-0.780651, -0.780651, -1.479199>, <-0.883883, -0.883884, -1.356066>, <-0.883883, -0.883884, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.707107, 0.707107, -1.500000>, <-0.780651, 0.780651, -1.479199>, <-0.883883, 0.883883, -1.356066>, <-0.883883, 0.883883, -1.250000>, 
      <-0.869466, 0.544748, -1.500000>, <-0.943009, 0.618292, -1.479199>, <-1.086832, 0.680935, -1.356066>, <-1.086832, 0.680935, -1.250000>, 
      <-1.000000, 0.229610, -1.500000>, <-1.104006, 0.229610, -1.479199>, <-1.250000, 0.287013, -1.356066>, <-1.250000, 0.287013, -1.250000>, 
      <-1.000000, 0.000000, -1.500000>, <-1.104006, 0.000000, -1.479199>, <-1.250000, 0.000000, -1.356066>, <-1.250000, 0.000000, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 1.000000, -1.500000>, <0.000000, 1.104006, -1.479199>, <0.000000, 1.250000, -1.356066>, <0.000000, 1.250000, -1.250000>, 
      <-0.229610, 1.000000, -1.500000>, <-0.229610, 1.104006, -1.479199>, <-0.287013, 1.250000, -1.356066>, <-0.287013, 1.250000, -1.250000>, 
      <-0.544748, 0.869466, -1.500000>, <-0.618292, 0.943009, -1.479199>, <-0.680935, 1.086832, -1.356066>, <-0.680935, 1.086832, -1.250000>, 
      <-0.707107, 0.707107, -1.500000>, <-0.780651, 0.780651, -1.479199>, <-0.883883, 0.883883, -1.356066>, <-0.883883, 0.883883, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.707107, 0.707107, -1.500000>, <0.780651, 0.780651, -1.479199>, <0.883883, 0.883883, -1.356066>, <0.883883, 0.883883, -1.250000>, 
      <0.544748, 0.869466, -1.500000>, <0.618292, 0.943009, -1.479199>, <0.680935, 1.086832, -1.356066>, <0.680935, 1.086832, -1.250000>, 
      <0.229610, 1.000000, -1.500000>, <0.229610, 1.104006, -1.479199>, <0.287013, 1.250000, -1.356066>, <0.287013, 1.250000, -1.250000>, 
      <0.000000, 1.000000, -1.500000>, <0.000000, 1.104006, -1.479199>, <0.000000, 1.250000, -1.356066>, <0.000000, 1.250000, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <0.000000, -0.705826, -1.558835>, <0.000000, -1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <0.229610, -0.705826, -1.558835>, <0.229610, -1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.212132, -0.212132, -1.500000>, <0.336735, -0.661453, -1.558835>, <0.544748, -0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.212132, -0.212132, -1.500000>, <0.499094, -0.499095, -1.558835>, <0.707107, -0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.499095, -0.499094, -1.558835>, <-0.707107, -0.707107, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.336736, -0.661453, -1.558835>, <-0.544748, -0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <-0.229610, -0.705826, -1.558835>, <-0.229610, -1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, -0.300000, -1.500000>, <0.000000, -0.705826, -1.558835>, <0.000000, -1.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.705826, 0.000000, -1.558835>, <-1.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.705826, -0.229610, -1.558835>, <-1.000000, -0.229610, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.661453, -0.336735, -1.558835>, <-0.869466, -0.544748, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, -0.212132, -1.500000>, <-0.499095, -0.499094, -1.558835>, <-0.707107, -0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.499094, 0.499094, -1.558835>, <-0.707107, 0.707107, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.661453, 0.336736, -1.558835>, <-0.869466, 0.544748, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.705826, 0.229610, -1.558835>, <-1.000000, 0.229610, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.300000, 0.000000, -1.500000>, <-0.705826, 0.000000, -1.558835>, <-1.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <0.000000, 0.705826, -1.558835>, <0.000000, 1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <-0.229610, 0.705826, -1.558835>, <-0.229610, 1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.336736, 0.661453, -1.558835>, <-0.544748, 0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <-0.212132, 0.212132, -1.500000>, <-0.499094, 0.499094, -1.558835>, <-0.707107, 0.707107, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.500000>, <0.212132, 0.212132, -1.500000>, <0.499094, 0.499094, -1.558835>, <0.707107, 0.707107, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.212132, 0.212132, -1.500000>, <0.336736, 0.661453, -1.558835>, <0.544748, 0.869466, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <0.229610, 0.705826, -1.558835>, <0.229610, 1.000000, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.300000, -1.500000>, <0.000000, 0.705826, -1.558835>, <0.000000, 1.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <0.000000, -0.300000, -1.000000>, <0.000000, -0.300000, -1.000000>, <0.212132, -0.212132, -1.000000>, <0.212132, -0.212132, -1.000000>, 
      <0.000000, -0.705826, -0.941165>, <0.229610, -0.705826, -0.941165>, <0.336735, -0.661453, -0.941165>, <0.499094, -0.499095, -0.941165>, 
      <0.000000, -1.000000, -1.000000>, <0.229610, -1.000000, -1.000000>, <0.544748, -0.869466, -1.000000>, <0.707107, -0.707107, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <-0.212132, -0.212132, -1.000000>, <-0.212132, -0.212132, -1.000000>, <0.000000, -0.300000, -1.000000>, <0.000000, -0.300000, -1.000000>, 
      <-0.499095, -0.499094, -0.941165>, <-0.336736, -0.661453, -0.941165>, <-0.229610, -0.705826, -0.941165>, <0.000000, -0.705826, -0.941165>, 
      <-0.707107, -0.707107, -1.000000>, <-0.544748, -0.869466, -1.000000>, <-0.229610, -1.000000, -1.000000>, <0.000000, -1.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <-0.300000, 0.000000, -1.000000>, <-0.300000, 0.000000, -1.000000>, <-0.212132, -0.212132, -1.000000>, <-0.212132, -0.212132, -1.000000>, 
      <-0.705826, 0.000000, -0.941165>, <-0.705826, -0.229610, -0.941165>, <-0.661453, -0.336735, -0.941165>, <-0.499095, -0.499094, -0.941165>, 
      <-1.000000, 0.000000, -1.000000>, <-1.000000, -0.229610, -1.000000>, <-0.869466, -0.544748, -1.000000>, <-0.707107, -0.707107, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <-0.212132, 0.212132, -1.000000>, <-0.212132, 0.212132, -1.000000>, <-0.300000, 0.000000, -1.000000>, <-0.300000, 0.000000, -1.000000>, 
      <-0.499094, 0.499094, -0.941165>, <-0.661453, 0.336736, -0.941165>, <-0.705826, 0.229610, -0.941165>, <-0.705826, 0.000000, -0.941165>, 
      <-0.707107, 0.707107, -1.000000>, <-0.869466, 0.544748, -1.000000>, <-1.000000, 0.229610, -1.000000>, <-1.000000, 0.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <0.000000, 0.300000, -1.000000>, <0.000000, 0.300000, -1.000000>, <-0.212132, 0.212132, -1.000000>, <-0.212132, 0.212132, -1.000000>, 
      <0.000000, 0.705826, -0.941165>, <-0.229610, 0.705826, -0.941165>, <-0.336736, 0.661453, -0.941165>, <-0.499094, 0.499094, -0.941165>, 
      <0.000000, 1.000000, -1.000000>, <-0.229610, 1.000000, -1.000000>, <-0.544748, 0.869466, -1.000000>, <-0.707107, 0.707107, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <0.212132, 0.212132, -1.000000>, <0.212132, 0.212132, -1.000000>, <0.000000, 0.300000, -1.000000>, <0.000000, 0.300000, -1.000000>, 
      <0.499094, 0.499094, -0.941165>, <0.336736, 0.661453, -0.941165>, <0.229610, 0.705826, -0.941165>, <0.000000, 0.705826, -0.941165>, 
      <0.707107, 0.707107, -1.000000>, <0.544748, 0.869466, -1.000000>, <0.229610, 1.000000, -1.000000>, <0.000000, 1.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.150000>, <0.000000, 0.000000, -1.150000>, 
      <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.350000>, <0.000000, 0.000000, -1.350000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.000000>, <0.705826, 0.000000, -0.941165>, <0.300000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <1.000000, 0.229610, -1.000000>, <0.705826, 0.229610, -0.941165>, <0.300000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <0.869466, 0.544748, -1.000000>, <0.661453, 0.336736, -0.941165>, <0.212132, 0.212132, -1.000000>, <0.000000, 0.000000, -1.000000>, 
      <0.707107, 0.707107, -1.000000>, <0.499094, 0.499094, -0.941165>, <0.212132, 0.212132, -1.000000>, <0.000000, 0.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.000000>, <1.000000, -0.229610, -1.000000>, <0.869466, -0.544748, -1.000000>, <0.707107, -0.707107, -1.000000>, 
      <0.705826, 0.000000, -0.941165>, <0.705826, -0.229610, -0.941165>, <0.661453, -0.336736, -0.941165>, <0.499094, -0.499095, -0.941165>, 
      <0.300000, 0.000000, -1.000000>, <0.300000, 0.000000, -1.000000>, <0.212132, -0.212132, -1.000000>, <0.212132, -0.212132, -1.000000>, 
      <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>, <0.000000, 0.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.000000>, <1.000000, 0.229610, -1.000000>, <0.869466, 0.544748, -1.000000>, <0.707107, 0.707107, -1.000000>, 
      <1.104006, 0.000000, -1.020801>, <1.104006, 0.229610, -1.020801>, <0.943009, 0.618292, -1.020801>, <0.780651, 0.780651, -1.020801>, 
      <1.250000, 0.000000, -1.143934>, <1.250000, 0.287013, -1.143934>, <1.086832, 0.680935, -1.143934>, <0.883883, 0.883883, -1.143934>, 
      <1.250000, 0.000000, -1.250000>, <1.250000, 0.287013, -1.250000>, <1.086832, 0.680935, -1.250000>, <0.883883, 0.883883, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.000000>, <1.104006, 0.000000, -1.020801>, <1.250000, 0.000000, -1.143934>, <1.250000, 0.000000, -1.250000>, 
      <1.000000, -0.229610, -1.000000>, <1.104006, -0.229610, -1.020801>, <1.250000, -0.287012, -1.143934>, <1.250000, -0.287012, -1.250000>, 
      <0.869466, -0.544748, -1.000000>, <0.943009, -0.618292, -1.020801>, <1.086832, -0.680935, -1.143934>, <1.086832, -0.680935, -1.250000>, 
      <0.707107, -0.707107, -1.000000>, <0.780651, -0.780651, -1.020801>, <0.883884, -0.883883, -1.143934>, <0.883884, -0.883883, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.500000>, <1.104006, 0.000000, -1.479199>, <1.250000, 0.000000, -1.356066>, <1.250000, 0.000000, -1.250000>, 
      <1.000000, 0.229610, -1.500000>, <1.104006, 0.229610, -1.479199>, <1.250000, 0.287013, -1.356066>, <1.250000, 0.287013, -1.250000>, 
      <0.869466, 0.544748, -1.500000>, <0.943009, 0.618292, -1.479199>, <1.086832, 0.680935, -1.356066>, <1.086832, 0.680935, -1.250000>, 
      <0.707107, 0.707107, -1.500000>, <0.780651, 0.780651, -1.479199>, <0.883883, 0.883883, -1.356066>, <0.883883, 0.883883, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.500000>, <1.000000, -0.229610, -1.500000>, <0.869466, -0.544748, -1.500000>, <0.707107, -0.707107, -1.500000>, 
      <1.104006, 0.000000, -1.479199>, <1.104006, -0.229610, -1.479199>, <0.943009, -0.618292, -1.479199>, <0.780651, -0.780651, -1.479199>, 
      <1.250000, 0.000000, -1.356066>, <1.250000, -0.287012, -1.356066>, <1.086832, -0.680935, -1.356066>, <0.883884, -0.883883, -1.356066>, 
      <1.250000, 0.000000, -1.250000>, <1.250000, -0.287012, -1.250000>, <1.086832, -0.680935, -1.250000>, <0.883884, -0.883883, -1.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.500000>, <1.000000, 0.229610, -1.500000>, <0.869466, 0.544748, -1.500000>, <0.707107, 0.707107, -1.500000>, 
      <0.705826, 0.000000, -1.558835>, <0.705826, 0.229610, -1.558835>, <0.661453, 0.336736, -1.558835>, <0.499094, 0.499094, -1.558835>, 
      <0.300000, 0.000000, -1.500000>, <0.300000, 0.000000, -1.500000>, <0.212132, 0.212132, -1.500000>, <0.212132, 0.212132, -1.500000>, 
      <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -1.500000>, <0.705826, 0.000000, -1.558835>, <0.300000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, 
      <1.000000, -0.229610, -1.500000>, <0.705826, -0.229610, -1.558835>, <0.300000, 0.000000, -1.500000>, <0.000000, 0.000000, -1.500000>, 
      <0.869466, -0.544748, -1.500000>, <0.661453, -0.336736, -1.558835>, <0.212132, -0.212132, -1.500000>, <0.000000, 0.000000, -1.500000>, 
      <0.707107, -0.707107, -1.500000>, <0.499094, -0.499095, -1.558835>, <0.212132, -0.212132, -1.500000>, <0.000000, 0.000000, -1.500000>
    }
  }
  material {
    Gold_Metal
  }
}
#declare sPatchObj2 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.000000, -0.750000>, <0.000000, -0.881415, -0.868585>, <0.000000, -0.650000, -0.925000>, <0.000000, -0.500000, -1.000000>, 
      <0.229610, -1.000000, -0.750000>, <0.229610, -0.881415, -0.868585>, <0.114805, -0.650000, -0.925000>, <0.114805, -0.500000, -1.000000>, 
      <0.544748, -0.869466, -0.750000>, <0.460896, -0.785613, -0.868586>, <0.378440, -0.540799, -0.925000>, <0.272375, -0.434733, -1.000000>, 
      <0.707107, -0.707107, -0.750000>, <0.623255, -0.623254, -0.868586>, <0.459620, -0.459619, -0.925000>, <0.353554, -0.353553, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.707107, -0.707107, -0.750000>, <-0.623254, -0.623254, -0.868586>, <-0.459619, -0.459619, -0.925000>, <-0.353553, -0.353553, -1.000000>, 
      <-0.544748, -0.869466, -0.750000>, <-0.460896, -0.785613, -0.868586>, <-0.378440, -0.540799, -0.925000>, <-0.272374, -0.434732, -1.000000>, 
      <-0.229610, -1.000000, -0.750000>, <-0.229610, -0.881415, -0.868585>, <-0.114805, -0.650000, -0.925000>, <-0.114805, -0.500000, -1.000000>, 
      <0.000000, -1.000000, -0.750000>, <0.000000, -0.881415, -0.868585>, <0.000000, -0.650000, -0.925000>, <0.000000, -0.500000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.000000, 0.000000, -0.750000>, <-0.881415, 0.000000, -0.868585>, <-0.650000, 0.000000, -0.925000>, <-0.500000, 0.000000, -1.000000>, 
      <-1.000000, -0.229610, -0.750000>, <-0.881415, -0.229610, -0.868585>, <-0.650000, -0.114805, -0.925000>, <-0.500000, -0.114805, -1.000000>, 
      <-0.869466, -0.544748, -0.750000>, <-0.785613, -0.460895, -0.868586>, <-0.540799, -0.378440, -0.925000>, <-0.434732, -0.272374, -1.000000>, 
      <-0.707107, -0.707107, -0.750000>, <-0.623254, -0.623254, -0.868586>, <-0.459619, -0.459619, -0.925000>, <-0.353553, -0.353553, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.707107, 0.707107, -0.750000>, <-0.623254, 0.623254, -0.868586>, <-0.459619, 0.459619, -0.925000>, <-0.353553, 0.353553, -1.000000>, 
      <-0.869466, 0.544748, -0.750000>, <-0.785613, 0.460896, -0.868586>, <-0.540799, 0.378440, -0.925000>, <-0.434732, 0.272374, -1.000000>, 
      <-1.000000, 0.229610, -0.750000>, <-0.881415, 0.229610, -0.868585>, <-0.650000, 0.114805, -0.925000>, <-0.500000, 0.114805, -1.000000>, 
      <-1.000000, 0.000000, -0.750000>, <-0.881415, 0.000000, -0.868585>, <-0.650000, 0.000000, -0.925000>, <-0.500000, 0.000000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 1.000000, -0.750000>, <0.000000, 0.881415, -0.868585>, <0.000000, 0.650000, -0.925000>, <0.000000, 0.500000, -1.000000>, 
      <-0.229610, 1.000000, -0.750000>, <-0.229610, 0.881415, -0.868585>, <-0.114805, 0.650000, -0.925000>, <-0.114805, 0.500000, -1.000000>, 
      <-0.544748, 0.869466, -0.750000>, <-0.460896, 0.785613, -0.868586>, <-0.378440, 0.540799, -0.925000>, <-0.272374, 0.434732, -1.000000>, 
      <-0.707107, 0.707107, -0.750000>, <-0.623254, 0.623254, -0.868586>, <-0.459619, 0.459619, -0.925000>, <-0.353553, 0.353553, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.707107, 0.707107, -0.750000>, <0.623254, 0.623254, -0.868586>, <0.459619, 0.459619, -0.925000>, <0.353553, 0.353553, -1.000000>, 
      <0.544748, 0.869466, -0.750000>, <0.460896, 0.785613, -0.868586>, <0.378440, 0.540799, -0.925000>, <0.272374, 0.434732, -1.000000>, 
      <0.229610, 1.000000, -0.750000>, <0.229610, 0.881415, -0.868585>, <0.114805, 0.650000, -0.925000>, <0.114805, 0.500000, -1.000000>, 
      <0.000000, 1.000000, -0.750000>, <0.000000, 0.881415, -0.868585>, <0.000000, 0.650000, -0.925000>, <0.000000, 0.500000, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.250000, -0.250000>, <0.000000, -1.217110, -0.414448>, <0.000000, -1.118586, -0.631415>, <0.000000, -1.000000, -0.750000>, 
      <0.287013, -1.250000, -0.250000>, <0.287013, -1.217110, -0.414448>, <0.229610, -1.118586, -0.631415>, <0.229610, -1.000000, -0.750000>, 
      <0.680935, -1.086832, -0.250000>, <0.657679, -1.063575, -0.414448>, <0.628601, -0.953318, -0.631415>, <0.544748, -0.869466, -0.750000>, 
      <0.883884, -0.883883, -0.250000>, <0.860627, -0.860627, -0.414448>, <0.790960, -0.790960, -0.631415>, <0.707107, -0.707107, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, -0.883884, -0.250000>, <-0.860627, -0.860627, -0.414448>, <-0.790960, -0.790960, -0.631415>, <-0.707107, -0.707107, -0.750000>, 
      <-0.680935, -1.086832, -0.250000>, <-0.657678, -1.063576, -0.414448>, <-0.628601, -0.953318, -0.631415>, <-0.544748, -0.869466, -0.750000>, 
      <-0.287012, -1.250000, -0.250000>, <-0.287012, -1.217110, -0.414448>, <-0.229610, -1.118586, -0.631415>, <-0.229610, -1.000000, -0.750000>, 
      <0.000000, -1.250000, -0.250000>, <0.000000, -1.217110, -0.414448>, <0.000000, -1.118586, -0.631415>, <0.000000, -1.000000, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.250000, 0.000000, -0.250000>, <-1.217110, 0.000000, -0.414448>, <-1.118586, 0.000000, -0.631415>, <-1.000000, 0.000000, -0.750000>, 
      <-1.250000, -0.287013, -0.250000>, <-1.217110, -0.287013, -0.414448>, <-1.118586, -0.229610, -0.631415>, <-1.000000, -0.229610, -0.750000>, 
      <-1.086832, -0.680935, -0.250000>, <-1.063575, -0.657679, -0.414448>, <-0.953318, -0.628601, -0.631415>, <-0.869466, -0.544748, -0.750000>, 
      <-0.883883, -0.883884, -0.250000>, <-0.860627, -0.860627, -0.414448>, <-0.790960, -0.790960, -0.631415>, <-0.707107, -0.707107, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, 0.883883, -0.250000>, <-0.860627, 0.860627, -0.414448>, <-0.790960, 0.790960, -0.631415>, <-0.707107, 0.707107, -0.750000>, 
      <-1.086832, 0.680935, -0.250000>, <-1.063575, 0.657678, -0.414448>, <-0.953318, 0.628601, -0.631415>, <-0.869466, 0.544748, -0.750000>, 
      <-1.250000, 0.287013, -0.250000>, <-1.217110, 0.287013, -0.414448>, <-1.118586, 0.229610, -0.631415>, <-1.000000, 0.229610, -0.750000>, 
      <-1.250000, 0.000000, -0.250000>, <-1.217110, 0.000000, -0.414448>, <-1.118586, 0.000000, -0.631415>, <-1.000000, 0.000000, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 1.250000, -0.250000>, <0.000000, 1.217110, -0.414448>, <0.000000, 1.118586, -0.631415>, <0.000000, 1.000000, -0.750000>, 
      <-0.287013, 1.250000, -0.250000>, <-0.287013, 1.217110, -0.414448>, <-0.229610, 1.118586, -0.631415>, <-0.229610, 1.000000, -0.750000>, 
      <-0.680935, 1.086832, -0.250000>, <-0.657678, 1.063575, -0.414448>, <-0.628601, 0.953318, -0.631415>, <-0.544748, 0.869466, -0.750000>, 
      <-0.883883, 0.883883, -0.250000>, <-0.860627, 0.860627, -0.414448>, <-0.790960, 0.790960, -0.631415>, <-0.707107, 0.707107, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.883883, 0.883883, -0.250000>, <0.860627, 0.860627, -0.414448>, <0.790960, 0.790960, -0.631415>, <0.707107, 0.707107, -0.750000>, 
      <0.680935, 1.086832, -0.250000>, <0.657678, 1.063575, -0.414448>, <0.628601, 0.953318, -0.631415>, <0.544748, 0.869466, -0.750000>, 
      <0.287013, 1.250000, -0.250000>, <0.287013, 1.217110, -0.414448>, <0.229610, 1.118586, -0.631415>, <0.229610, 1.000000, -0.750000>, 
      <0.000000, 1.250000, -0.250000>, <0.000000, 1.217110, -0.414448>, <0.000000, 1.118586, -0.631415>, <0.000000, 1.000000, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -1.250000, 0.500000>, <0.000000, -1.333563, 0.291093>, <0.000000, -1.294126, -0.029369>, <0.000000, -1.250000, -0.250000>, 
      <0.287013, -1.250000, 0.500000>, <0.287013, -1.333563, 0.291093>, <0.287013, -1.294126, -0.029369>, <0.287013, -1.250000, -0.250000>, 
      <0.680935, -1.086832, 0.500000>, <0.740023, -1.145920, 0.291093>, <0.712137, -1.118033, -0.029369>, <0.680935, -1.086832, -0.250000>, 
      <0.883884, -0.883883, 0.500000>, <0.942972, -0.942971, 0.291093>, <0.915086, -0.915085, -0.029369>, <0.883884, -0.883883, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, -0.883884, 0.500000>, <-0.942971, -0.942972, 0.291093>, <-0.915085, -0.915086, -0.029369>, <-0.883883, -0.883884, -0.250000>, 
      <-0.680935, -1.086832, 0.500000>, <-0.740023, -1.145920, 0.291093>, <-0.712136, -1.118034, -0.029369>, <-0.680935, -1.086832, -0.250000>, 
      <-0.287012, -1.250000, 0.500000>, <-0.287012, -1.333563, 0.291093>, <-0.287012, -1.294126, -0.029369>, <-0.287012, -1.250000, -0.250000>, 
      <0.000000, -1.250000, 0.500000>, <0.000000, -1.333563, 0.291093>, <0.000000, -1.294126, -0.029369>, <0.000000, -1.250000, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-1.250000, 0.000000, 0.500000>, <-1.333563, 0.000000, 0.291093>, <-1.294126, 0.000000, -0.029369>, <-1.250000, 0.000000, -0.250000>, 
      <-1.250000, -0.287013, 0.500000>, <-1.333563, -0.287013, 0.291093>, <-1.294126, -0.287013, -0.029369>, <-1.250000, -0.287013, -0.250000>, 
      <-1.086832, -0.680935, 0.500000>, <-1.145920, -0.740023, 0.291093>, <-1.118033, -0.712137, -0.029369>, <-1.086832, -0.680935, -0.250000>, 
      <-0.883883, -0.883884, 0.500000>, <-0.942971, -0.942972, 0.291093>, <-0.915085, -0.915086, -0.029369>, <-0.883883, -0.883884, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.883883, 0.883883, 0.500000>, <-0.942971, 0.942971, 0.291093>, <-0.915085, 0.915085, -0.029369>, <-0.883883, 0.883883, -0.250000>, 
      <-1.086832, 0.680935, 0.500000>, <-1.145919, 0.740022, 0.291093>, <-1.118033, 0.712136, -0.029369>, <-1.086832, 0.680935, -0.250000>, 
      <-1.250000, 0.287013, 0.500000>, <-1.333563, 0.287013, 0.291093>, <-1.294126, 0.287013, -0.029369>, <-1.250000, 0.287013, -0.250000>, 
      <-1.250000, 0.000000, 0.500000>, <-1.333563, 0.000000, 0.291093>, <-1.294126, 0.000000, -0.029369>, <-1.250000, 0.000000, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 1.250000, 0.500000>, <0.000000, 1.333563, 0.291093>, <0.000000, 1.294126, -0.029369>, <0.000000, 1.250000, -0.250000>, 
      <-0.287013, 1.250000, 0.500000>, <-0.287013, 1.333563, 0.291093>, <-0.287013, 1.294126, -0.029369>, <-0.287013, 1.250000, -0.250000>, 
      <-0.680935, 1.086832, 0.500000>, <-0.740022, 1.145919, 0.291093>, <-0.712136, 1.118033, -0.029369>, <-0.680935, 1.086832, -0.250000>, 
      <-0.883883, 0.883883, 0.500000>, <-0.942971, 0.942971, 0.291093>, <-0.915085, 0.915085, -0.029369>, <-0.883883, 0.883883, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.883883, 0.883883, 0.500000>, <0.942971, 0.942971, 0.291093>, <0.915085, 0.915085, -0.029369>, <0.883883, 0.883883, -0.250000>, 
      <0.680935, 1.086832, 0.500000>, <0.740022, 1.145919, 0.291093>, <0.712136, 1.118033, -0.029369>, <0.680935, 1.086832, -0.250000>, 
      <0.287013, 1.250000, 0.500000>, <0.287013, 1.333563, 0.291093>, <0.287013, 1.294126, -0.029369>, <0.287013, 1.250000, -0.250000>, 
      <0.000000, 1.250000, 0.500000>, <0.000000, 1.333563, 0.291093>, <0.000000, 1.294126, -0.029369>, <0.000000, 1.250000, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -0.750000, 1.000000>, <0.000000, -0.877279, 0.830294>, <0.000000, -1.171216, 0.696960>, <0.000000, -1.250000, 0.500000>, 
      <0.172208, -0.750000, 1.000000>, <0.172208, -0.877279, 0.830294>, <0.287013, -1.171216, 0.696960>, <0.287013, -1.250000, 0.500000>, 
      <0.408561, -0.652099, 1.000000>, <0.498561, -0.742099, 0.830294>, <0.625227, -1.031123, 0.696960>, <0.680935, -1.086832, 0.500000>, 
      <0.530330, -0.530330, 1.000000>, <0.620330, -0.620330, 0.830294>, <0.828175, -0.828175, 0.696960>, <0.883884, -0.883883, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.530330, -0.530330, 1.000000>, <-0.620330, -0.620330, 0.830294>, <-0.828175, -0.828175, 0.696960>, <-0.883883, -0.883884, 0.500000>, 
      <-0.408561, -0.652099, 1.000000>, <-0.498561, -0.742099, 0.830294>, <-0.625226, -1.031124, 0.696960>, <-0.680935, -1.086832, 0.500000>, 
      <-0.172208, -0.750000, 1.000000>, <-0.172208, -0.877279, 0.830294>, <-0.287012, -1.171216, 0.696960>, <-0.287012, -1.250000, 0.500000>, 
      <0.000000, -0.750000, 1.000000>, <0.000000, -0.877279, 0.830294>, <0.000000, -1.171216, 0.696960>, <0.000000, -1.250000, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.750000, 0.000000, 1.000000>, <-0.877279, 0.000000, 0.830294>, <-1.171216, 0.000000, 0.696960>, <-1.250000, 0.000000, 0.500000>, 
      <-0.750000, -0.172208, 1.000000>, <-0.877279, -0.172208, 0.830294>, <-1.171216, -0.287013, 0.696960>, <-1.250000, -0.287013, 0.500000>, 
      <-0.652099, -0.408561, 1.000000>, <-0.742099, -0.498561, 0.830294>, <-1.031123, -0.625227, 0.696960>, <-1.086832, -0.680935, 0.500000>, 
      <-0.530330, -0.530330, 1.000000>, <-0.620330, -0.620330, 0.830294>, <-0.828175, -0.828175, 0.696960>, <-0.883883, -0.883884, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.530330, 0.530330, 1.000000>, <-0.620330, 0.620330, 0.830295>, <-0.828175, 0.828175, 0.696960>, <-0.883883, 0.883883, 0.500000>, 
      <-0.652099, 0.408561, 1.000000>, <-0.742099, 0.498561, 0.830295>, <-1.031123, 0.625226, 0.696960>, <-1.086832, 0.680935, 0.500000>, 
      <-0.750000, 0.172208, 1.000000>, <-0.877279, 0.172208, 0.830294>, <-1.171216, 0.287013, 0.696960>, <-1.250000, 0.287013, 0.500000>, 
      <-0.750000, 0.000000, 1.000000>, <-0.877279, 0.000000, 0.830294>, <-1.171216, 0.000000, 0.696960>, <-1.250000, 0.000000, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.750000, 1.000000>, <0.000000, 0.877279, 0.830294>, <0.000000, 1.171216, 0.696960>, <0.000000, 1.250000, 0.500000>, 
      <-0.172208, 0.750000, 1.000000>, <-0.172208, 0.877279, 0.830294>, <-0.287013, 1.171216, 0.696960>, <-0.287013, 1.250000, 0.500000>, 
      <-0.408561, 0.652099, 1.000000>, <-0.498561, 0.742099, 0.830295>, <-0.625226, 1.031123, 0.696960>, <-0.680935, 1.086832, 0.500000>, 
      <-0.530330, 0.530330, 1.000000>, <-0.620330, 0.620330, 0.830295>, <-0.828175, 0.828175, 0.696960>, <-0.883883, 0.883883, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.530330, 0.530330, 1.000000>, <0.620330, 0.620330, 0.830295>, <0.828175, 0.828175, 0.696960>, <0.883883, 0.883883, 0.500000>, 
      <0.408561, 0.652099, 1.000000>, <0.498561, 0.742099, 0.830295>, <0.625226, 1.031123, 0.696960>, <0.680935, 1.086832, 0.500000>, 
      <0.172208, 0.750000, 1.000000>, <0.172208, 0.877279, 0.830294>, <0.287013, 1.171216, 0.696960>, <0.287013, 1.250000, 0.500000>, 
      <0.000000, 0.750000, 1.000000>, <0.000000, 0.877279, 0.830294>, <0.000000, 1.171216, 0.696960>, <0.000000, 1.250000, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -0.500000, 1.500000>, <0.000000, -0.593026, 1.360461>, <0.000000, -0.649377, 1.134164>, <0.000000, -0.750000, 1.000000>, 
      <0.114805, -0.500000, 1.500000>, <0.114805, -0.593026, 1.360461>, <0.172208, -0.649377, 1.134164>, <0.172208, -0.750000, 1.000000>, 
      <0.272375, -0.434733, 1.500000>, <0.338154, -0.500512, 1.360461>, <0.337410, -0.580948, 1.134164>, <0.408561, -0.652099, 1.000000>, 
      <0.353554, -0.353553, 1.500000>, <0.419333, -0.419332, 1.360461>, <0.459179, -0.459179, 1.134164>, <0.530330, -0.530330, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.353553, -0.353553, 1.500000>, <-0.419332, -0.419332, 1.360461>, <-0.459179, -0.459179, 1.134164>, <-0.530330, -0.530330, 1.000000>, 
      <-0.272374, -0.434732, 1.500000>, <-0.338153, -0.500512, 1.360461>, <-0.337410, -0.580948, 1.134164>, <-0.408561, -0.652099, 1.000000>, 
      <-0.114805, -0.500000, 1.500000>, <-0.114805, -0.593026, 1.360461>, <-0.172208, -0.649377, 1.134164>, <-0.172208, -0.750000, 1.000000>, 
      <0.000000, -0.500000, 1.500000>, <0.000000, -0.593026, 1.360461>, <0.000000, -0.649377, 1.134164>, <0.000000, -0.750000, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.500000, 0.000000, 1.500000>, <-0.593026, 0.000000, 1.360461>, <-0.649377, 0.000000, 1.134164>, <-0.750000, 0.000000, 1.000000>, 
      <-0.500000, -0.114805, 1.500000>, <-0.593026, -0.114805, 1.360461>, <-0.649377, -0.172208, 1.134164>, <-0.750000, -0.172208, 1.000000>, 
      <-0.434732, -0.272374, 1.500000>, <-0.500512, -0.338153, 1.360461>, <-0.580948, -0.337409, 1.134164>, <-0.652099, -0.408561, 1.000000>, 
      <-0.353553, -0.353553, 1.500000>, <-0.419332, -0.419332, 1.360461>, <-0.459179, -0.459179, 1.134164>, <-0.530330, -0.530330, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.353553, 0.353553, 1.500000>, <-0.419332, 0.419332, 1.360461>, <-0.459179, 0.459179, 1.134164>, <-0.530330, 0.530330, 1.000000>, 
      <-0.434732, 0.272374, 1.500000>, <-0.500512, 0.338153, 1.360461>, <-0.580948, 0.337410, 1.134164>, <-0.652099, 0.408561, 1.000000>, 
      <-0.500000, 0.114805, 1.500000>, <-0.593026, 0.114805, 1.360461>, <-0.649377, 0.172208, 1.134164>, <-0.750000, 0.172208, 1.000000>, 
      <-0.500000, 0.000000, 1.500000>, <-0.593026, 0.000000, 1.360461>, <-0.649377, 0.000000, 1.134164>, <-0.750000, 0.000000, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.500000, 1.500000>, <0.000000, 0.593026, 1.360461>, <0.000000, 0.649377, 1.134164>, <0.000000, 0.750000, 1.000000>, 
      <-0.114805, 0.500000, 1.500000>, <-0.114805, 0.593026, 1.360461>, <-0.172208, 0.649377, 1.134164>, <-0.172208, 0.750000, 1.000000>, 
      <-0.272374, 0.434732, 1.500000>, <-0.338153, 0.500512, 1.360461>, <-0.337410, 0.580948, 1.134164>, <-0.408561, 0.652099, 1.000000>, 
      <-0.353553, 0.353553, 1.500000>, <-0.419332, 0.419332, 1.360461>, <-0.459179, 0.459179, 1.134164>, <-0.530330, 0.530330, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.353553, 0.353553, 1.500000>, <0.419332, 0.419332, 1.360461>, <0.459179, 0.459179, 1.134164>, <0.530330, 0.530330, 1.000000>, 
      <0.272374, 0.434732, 1.500000>, <0.338153, 0.500512, 1.360461>, <0.337410, 0.580948, 1.134164>, <0.408561, 0.652099, 1.000000>, 
      <0.114805, 0.500000, 1.500000>, <0.114805, 0.593026, 1.360461>, <0.172208, 0.649377, 1.134164>, <0.172208, 0.750000, 1.000000>, 
      <0.000000, 0.500000, 1.500000>, <0.000000, 0.593026, 1.360461>, <0.000000, 0.649377, 1.134164>, <0.000000, 0.750000, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, -0.250000, 1.750000>, <0.000000, -0.325000, 1.675000>, <0.000000, -0.441165, 1.588252>, <0.000000, -0.500000, 1.500000>, 
      <0.057403, -0.250000, 1.750000>, <0.057403, -0.325000, 1.675000>, <0.114805, -0.441165, 1.588252>, <0.114805, -0.500000, 1.500000>, 
      <0.136187, -0.217367, 1.750000>, <0.189220, -0.270400, 1.675000>, <0.230772, -0.393130, 1.588252>, <0.272375, -0.434733, 1.500000>, 
      <0.176777, -0.176777, 1.750000>, <0.229810, -0.229810, 1.675000>, <0.311952, -0.311951, 1.588252>, <0.353554, -0.353553, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.176777, -0.176777, 1.750000>, <-0.229810, -0.229810, 1.675000>, <-0.311951, -0.311951, 1.588252>, <-0.353553, -0.353553, 1.500000>, 
      <-0.136187, -0.217367, 1.750000>, <-0.189220, -0.270400, 1.675000>, <-0.230771, -0.393130, 1.588252>, <-0.272374, -0.434732, 1.500000>, 
      <-0.057403, -0.250000, 1.750000>, <-0.057403, -0.325000, 1.675000>, <-0.114805, -0.441165, 1.588252>, <-0.114805, -0.500000, 1.500000>, 
      <0.000000, -0.250000, 1.750000>, <0.000000, -0.325000, 1.675000>, <0.000000, -0.441165, 1.588252>, <0.000000, -0.500000, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.250000, 0.000000, 1.750000>, <-0.325000, 0.000000, 1.675000>, <-0.441165, 0.000000, 1.588252>, <-0.500000, 0.000000, 1.500000>, 
      <-0.250000, -0.057403, 1.750000>, <-0.325000, -0.057403, 1.675000>, <-0.441165, -0.114805, 1.588252>, <-0.500000, -0.114805, 1.500000>, 
      <-0.217367, -0.136187, 1.750000>, <-0.270400, -0.189220, 1.675000>, <-0.393130, -0.230771, 1.588252>, <-0.434732, -0.272374, 1.500000>, 
      <-0.176777, -0.176777, 1.750000>, <-0.229810, -0.229810, 1.675000>, <-0.311951, -0.311951, 1.588252>, <-0.353553, -0.353553, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.176777, 0.176777, 1.750000>, <-0.229810, 0.229810, 1.675000>, <-0.311951, 0.311951, 1.588252>, <-0.353553, 0.353553, 1.500000>, 
      <-0.217367, 0.136187, 1.750000>, <-0.270400, 0.189220, 1.675000>, <-0.393130, 0.230771, 1.588252>, <-0.434732, 0.272374, 1.500000>, 
      <-0.250000, 0.057403, 1.750000>, <-0.325000, 0.057403, 1.675000>, <-0.441165, 0.114805, 1.588252>, <-0.500000, 0.114805, 1.500000>, 
      <-0.250000, 0.000000, 1.750000>, <-0.325000, 0.000000, 1.675000>, <-0.441165, 0.000000, 1.588252>, <-0.500000, 0.000000, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.000000, 0.250000, 1.750000>, <0.000000, 0.325000, 1.675000>, <0.000000, 0.441165, 1.588252>, <0.000000, 0.500000, 1.500000>, 
      <-0.057403, 0.250000, 1.750000>, <-0.057403, 0.325000, 1.675000>, <-0.114805, 0.441165, 1.588252>, <-0.114805, 0.500000, 1.500000>, 
      <-0.136187, 0.217367, 1.750000>, <-0.189220, 0.270400, 1.675000>, <-0.230771, 0.393130, 1.588252>, <-0.272374, 0.434732, 1.500000>, 
      <-0.176777, 0.176777, 1.750000>, <-0.229810, 0.229810, 1.675000>, <-0.311951, 0.311951, 1.588252>, <-0.353553, 0.353553, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.176777, 0.176777, 1.750000>, <0.229810, 0.229810, 1.675000>, <0.311951, 0.311951, 1.588252>, <0.353553, 0.353553, 1.500000>, 
      <0.136187, 0.217367, 1.750000>, <0.189220, 0.270400, 1.675000>, <0.230771, 0.393130, 1.588252>, <0.272374, 0.434732, 1.500000>, 
      <0.057403, 0.250000, 1.750000>, <0.057403, 0.325000, 1.675000>, <0.114805, 0.441165, 1.588252>, <0.114805, 0.500000, 1.500000>, 
      <0.000000, 0.250000, 1.750000>, <0.000000, 0.325000, 1.675000>, <0.000000, 0.441165, 1.588252>, <0.000000, 0.500000, 1.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -0.750000>, <0.881415, 0.000000, -0.868585>, <0.650000, 0.000000, -0.925000>, <0.500000, 0.000000, -1.000000>, 
      <1.000000, 0.229610, -0.750000>, <0.881415, 0.229610, -0.868585>, <0.650000, 0.114805, -0.925000>, <0.500000, 0.114805, -1.000000>, 
      <0.869466, 0.544748, -0.750000>, <0.785613, 0.460896, -0.868586>, <0.540799, 0.378440, -0.925000>, <0.434732, 0.272374, -1.000000>, 
      <0.707107, 0.707107, -0.750000>, <0.623254, 0.623254, -0.868586>, <0.459619, 0.459619, -0.925000>, <0.353553, 0.353553, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.000000, 0.000000, -0.750000>, <1.000000, -0.229610, -0.750000>, <0.869466, -0.544748, -0.750000>, <0.707107, -0.707107, -0.750000>, 
      <0.881415, 0.000000, -0.868585>, <0.881415, -0.229610, -0.868585>, <0.785613, -0.460896, -0.868586>, <0.623255, -0.623254, -0.868586>, 
      <0.650000, 0.000000, -0.925000>, <0.650000, -0.114805, -0.925000>, <0.540799, -0.378440, -0.925000>, <0.459620, -0.459619, -0.925000>, 
      <0.500000, 0.000000, -1.000000>, <0.500000, -0.114805, -1.000000>, <0.434733, -0.272374, -1.000000>, <0.353554, -0.353553, -1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, -0.250000>, <1.217110, 0.000000, -0.414448>, <1.118586, 0.000000, -0.631415>, <1.000000, 0.000000, -0.750000>, 
      <1.250000, 0.287013, -0.250000>, <1.217110, 0.287013, -0.414448>, <1.118586, 0.229610, -0.631415>, <1.000000, 0.229610, -0.750000>, 
      <1.086832, 0.680935, -0.250000>, <1.063575, 0.657678, -0.414448>, <0.953318, 0.628601, -0.631415>, <0.869466, 0.544748, -0.750000>, 
      <0.883883, 0.883883, -0.250000>, <0.860627, 0.860627, -0.414448>, <0.790960, 0.790960, -0.631415>, <0.707107, 0.707107, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, -0.250000>, <1.250000, -0.287012, -0.250000>, <1.086832, -0.680935, -0.250000>, <0.883884, -0.883883, -0.250000>, 
      <1.217110, 0.000000, -0.414448>, <1.217110, -0.287012, -0.414448>, <1.063576, -0.657678, -0.414448>, <0.860627, -0.860627, -0.414448>, 
      <1.118586, 0.000000, -0.631415>, <1.118586, -0.229610, -0.631415>, <0.953318, -0.628601, -0.631415>, <0.790960, -0.790960, -0.631415>, 
      <1.000000, 0.000000, -0.750000>, <1.000000, -0.229610, -0.750000>, <0.869466, -0.544748, -0.750000>, <0.707107, -0.707107, -0.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, 0.500000>, <1.333563, 0.000000, 0.291093>, <1.294126, 0.000000, -0.029369>, <1.250000, 0.000000, -0.250000>, 
      <1.250000, 0.287013, 0.500000>, <1.333563, 0.287013, 0.291093>, <1.294126, 0.287013, -0.029369>, <1.250000, 0.287013, -0.250000>, 
      <1.086832, 0.680935, 0.500000>, <1.145919, 0.740022, 0.291093>, <1.118033, 0.712136, -0.029369>, <1.086832, 0.680935, -0.250000>, 
      <0.883883, 0.883883, 0.500000>, <0.942971, 0.942971, 0.291093>, <0.915085, 0.915085, -0.029369>, <0.883883, 0.883883, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <1.250000, 0.000000, 0.500000>, <1.250000, -0.287012, 0.500000>, <1.086832, -0.680935, 0.500000>, <0.883884, -0.883883, 0.500000>, 
      <1.333563, 0.000000, 0.291093>, <1.333563, -0.287012, 0.291093>, <1.145920, -0.740023, 0.291093>, <0.942972, -0.942971, 0.291093>, 
      <1.294126, 0.000000, -0.029369>, <1.294126, -0.287012, -0.029369>, <1.118034, -0.712136, -0.029369>, <0.915086, -0.915085, -0.029369>, 
      <1.250000, 0.000000, -0.250000>, <1.250000, -0.287012, -0.250000>, <1.086832, -0.680935, -0.250000>, <0.883884, -0.883883, -0.250000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.750000, 0.000000, 1.000000>, <0.877279, 0.000000, 0.830294>, <1.171216, 0.000000, 0.696960>, <1.250000, 0.000000, 0.500000>, 
      <0.750000, 0.172208, 1.000000>, <0.877279, 0.172208, 0.830294>, <1.171216, 0.287013, 0.696960>, <1.250000, 0.287013, 0.500000>, 
      <0.652099, 0.408561, 1.000000>, <0.742099, 0.498561, 0.830295>, <1.031123, 0.625226, 0.696960>, <1.086832, 0.680935, 0.500000>, 
      <0.530330, 0.530330, 1.000000>, <0.620330, 0.620330, 0.830295>, <0.828175, 0.828175, 0.696960>, <0.883883, 0.883883, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.750000, 0.000000, 1.000000>, <0.750000, -0.172208, 1.000000>, <0.652099, -0.408561, 1.000000>, <0.530330, -0.530330, 1.000000>, 
      <0.877279, 0.000000, 0.830294>, <0.877279, -0.172208, 0.830294>, <0.742099, -0.498561, 0.830294>, <0.620330, -0.620330, 0.830294>, 
      <1.171216, 0.000000, 0.696960>, <1.171216, -0.287012, 0.696960>, <1.031124, -0.625226, 0.696960>, <0.828175, -0.828175, 0.696960>, 
      <1.250000, 0.000000, 0.500000>, <1.250000, -0.287012, 0.500000>, <1.086832, -0.680935, 0.500000>, <0.883884, -0.883883, 0.500000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.500000, 0.000000, 1.500000>, <0.593026, 0.000000, 1.360461>, <0.649377, 0.000000, 1.134164>, <0.750000, 0.000000, 1.000000>, 
      <0.500000, 0.114805, 1.500000>, <0.593026, 0.114805, 1.360461>, <0.649377, 0.172208, 1.134164>, <0.750000, 0.172208, 1.000000>, 
      <0.434732, 0.272374, 1.500000>, <0.500512, 0.338153, 1.360461>, <0.580948, 0.337410, 1.134164>, <0.652099, 0.408561, 1.000000>, 
      <0.353553, 0.353553, 1.500000>, <0.419332, 0.419332, 1.360461>, <0.459179, 0.459179, 1.134164>, <0.530330, 0.530330, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.500000, 0.000000, 1.500000>, <0.500000, -0.114805, 1.500000>, <0.434733, -0.272374, 1.500000>, <0.353554, -0.353553, 1.500000>, 
      <0.593026, 0.000000, 1.360461>, <0.593026, -0.114805, 1.360461>, <0.500513, -0.338153, 1.360461>, <0.419333, -0.419332, 1.360461>, 
      <0.649377, 0.000000, 1.134164>, <0.649377, -0.172208, 1.134164>, <0.580948, -0.337410, 1.134164>, <0.459179, -0.459179, 1.134164>, 
      <0.750000, 0.000000, 1.000000>, <0.750000, -0.172208, 1.000000>, <0.652099, -0.408561, 1.000000>, <0.530330, -0.530330, 1.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.500000, 0.000000, 1.500000>, <0.500000, 0.114805, 1.500000>, <0.434732, 0.272374, 1.500000>, <0.353553, 0.353553, 1.500000>, 
      <0.441165, 0.000000, 1.588252>, <0.441165, 0.114805, 1.588252>, <0.393130, 0.230771, 1.588252>, <0.311951, 0.311951, 1.588252>, 
      <0.325000, 0.000000, 1.675000>, <0.325000, 0.057403, 1.675000>, <0.270400, 0.189220, 1.675000>, <0.229810, 0.229810, 1.675000>, 
      <0.250000, 0.000000, 1.750000>, <0.250000, 0.057403, 1.750000>, <0.217367, 0.136187, 1.750000>, <0.176777, 0.176777, 1.750000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.500000, 0.000000, 1.500000>, <0.441165, 0.000000, 1.588252>, <0.325000, 0.000000, 1.675000>, <0.250000, 0.000000, 1.750000>, 
      <0.500000, -0.114805, 1.500000>, <0.441165, -0.114805, 1.588252>, <0.325000, -0.057403, 1.675000>, <0.250000, -0.057403, 1.750000>, 
      <0.434733, -0.272374, 1.500000>, <0.393131, -0.230771, 1.588252>, <0.270400, -0.189220, 1.675000>, <0.217367, -0.136187, 1.750000>, 
      <0.353554, -0.353553, 1.500000>, <0.311952, -0.311951, 1.588252>, <0.229810, -0.229810, 1.675000>, <0.176777, -0.176777, 1.750000>
    }
  }
  material {
    Glass_1
  }
}
union { // sPatchGroup
  object { sPatchObj }
  object { sPatchObj1 }
  object { sPatchObj2 }
  translate  <6.948324, 7.634196, 2.762289>
}


